import { type VNode } from "vue";
/**  <div v-demo:arg.modifier1.modifier2="value"> el.textContent </div> */
type Bindings = {
    value: string;
    arg?: string;
    modifiers?: Record<string, boolean>;
    instance: any;
    dir: any;
};
declare const _default: {
    created(el: HTMLElement, bindings: Bindings, vnode: VNode): void;
    beforeMount(el: HTMLElement, bindings: Bindings, vnode: VNode): void;
    mounted(el: HTMLElement, bindings: Bindings, vnode: VNode): void;
    beforeUpdate(el: HTMLElement, bindings: Bindings & {
        oldValue: string;
    }, vnode: VNode, preVnode: VNode): void;
    updated(el: HTMLElement, bindings: Bindings & {
        oldValue: string;
    }, vnode: VNode, preVnode: VNode): void;
    beforeUnmount(el: HTMLElement, bindings: Bindings, vnode: VNode): void;
    unmounted(el: HTMLElement, bindings: Bindings, vnode: VNode): void;
};
export default _default;
